package node

// 回合开始前
func (this *EffectNode) PreTurnStart() bool {
	return true

}

// 回合开始
func (this *EffectNode) OnTurnStart() bool {
	return true
}

// 回合结束一次性effect清楚掉

func (this *EffectNode) TurnEnd() bool {

	if this.duration != 0 { // 保留 (负数表示永久)
		//this.GetBattle().Effects[this.GetInput().UserID].AddEffect(this) //重新添加buff到上下文

	}
	this.duration--
	return true
}
